Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 191904 - xorg-x11-drv-calcomp Missing BuildRequire on xorg-x11-proto-devel
Summary: xorg-x11-drv-calcomp Missing BuildRequire on xorg-x11-proto-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-calcomp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target BuildReqBlocker
TreeView+ depends on / blocked
 
Reported: 2006-05-16 12:33 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-01 15:26:40 UTC


Attachments (Terms of Use)
Patch, adding the missing buildreqs (deleted)
2006-05-16 12:33 UTC, Andreas Thienemann
no flags Details | Diff

Description Andreas Thienemann 2006-05-16 12:33:07 UTC
Package won't build in mock:

checking for XORG... configure: error: Package requirements (xorg-server >=
1.0.99.901 xproto  randrproto inputproto) were not met:

No package 'xproto' found
No package 'randrproto' found
No package 'inputproto' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables XORG_CFLAGS
and XORG_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

error: Bad exit status from /var/tmp/rpm-tmp.94546 (%build)



Attached is a patch, adding the BuildRequires line.

Comment 1 Andreas Thienemann 2006-05-16 12:33:07 UTC
Created attachment 129182 [details]
Patch, adding the missing buildreqs

Comment 2 Mike A. Harris 2006-05-16 17:48:08 UTC
Adding to FC6Target

Comment 3 Adam Jackson 2006-06-01 15:26:40 UTC
fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.